%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-esprima
Version:        2.7.2
Release:        %mkrel 1
Summary:        ECMAScript parsing infrastructure for multipurpose analysis

License:        BSD
Group:          System/Libraries
URL:            https://github.com/jquery/esprima
Source0:        https://github.com/jquery/esprima/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(glob)
#BuildRequires:  npm(everything.js)
BuildRequires:  npm(json-diff)
BuildRequires:  npm(lodash)


%description
%{summary}.


%prep
%autosetup -n esprima-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/esprima
cp -pr package.json esprima.js \
    %{buildroot}%{nodejs_sitelib}/esprima

mkdir -p %{buildroot}%{_bindir}
for i in esparse.js esvalidate.js; do
    install -p -D -m0755 bin/${i} %{buildroot}%{nodejs_sitelib}/esprima/bin/${i}
    ln -s %{nodejs_sitelib}/esprima/bin/${i} %{buildroot}%{_bindir}/${i}
done

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs tools/generate-fixtures.js
%__nodejs test/unit-tests.js
#%__nodejs test/grammar-tests.js
%__nodejs test/regression-tests.js
%endif


%files
%doc README.md ChangeLog
%license LICENSE.BSD
%{nodejs_sitelib}/esprima
%{_bindir}/esparse.js
%{_bindir}/esvalidate.js




%changelog
* Tue May 17 2016 neoclust <neoclust> 2.7.2-1.mga6
+ Revision: 1016400
- New version 2.7.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 950292
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.1.1-1.mga5
+ Revision: 793786
- imported package nodejs-esprima

